> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get new validator list

> Retrieve paginated list of new Validators



## OpenAPI

````yaml /api/modo-canton.json get /v1/validators/new
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/validators/new:
    get:
      tags:
        - Validators
      summary: Get new validator list
      description: Retrieve paginated list of new Validators
      operationId: getNewValidators
      parameters:
        - name: size
          in: query
          description: Number of queried entries
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: string
            default: '10'
          example: 10
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ValidatorDtoAPI'
components:
  schemas:
    ValidatorDtoAPI:
      type: object
      properties:
        validator:
          type: string
        contractId:
          type: string
        templateId:
          type: string
        dso:
          type: string
        sponsor:
          type: string
        sponsorName:
          type: string
        sponsorImg:
          type: string
        lastActiveAt:
          type: integer
          format: int64
        lastUpdatedAt:
          type: integer
          format: int64
        version:
          type: string
        contactPoint:
          type: string
        active:
          type: boolean
        validatorName:
          type: string
        validatorImg:
          type: string
        totalRewards:
          type: number
          format: double
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````